%define upstream_name	 Gtk2
%define	upstream_version 1.249

%define _default_patch_fuzz        2
%define Werror_cflags %nil


%define perl_glib_require 1.233
%define gtk_require 2.24.10
%define cairo_require 1.00
%define pango_require 1.220

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 1
Summary:	Perl module for the gtk+-2.x library
License:	GPL or Artistic
Group:	  	Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.xz
Patch7:		Gtk2-gtk_exit.patch
Patch21:	Gtk2-1.038-xset_input_focus.patch
Patch23:	Gtk2-1.023-exception-trapping.patch 
BuildRequires:	gtk+2-devel >= %gtk_require
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= %perl_glib_require
BuildRequires:	perl-Cairo >= %cairo_require
BuildRequires:	perl-Pango >= %pango_require
Requires:	gtk+2
Requires:	libgtk+2 => %gtk_require
Requires:	perl-Glib >= %perl_glib_require
Requires:	perl-Cairo >= %cairo_require
Requires:	perl-Pango >= %pango_require
Provides:	perl-GTK2 = %{version}-%{release}
Obsoletes:	perl-GTK2 < 0.1
Provides:	perl-Gtk2-StatusIcon = %{version}-%{release}
Obsoletes:	perl-Gtk2-StatusIcon <= 0.010

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package doc
Summary: Gtk2 documentation
Group: Documentation
BuildArch: noarch

%description doc
This package contains documentation of the Gtk2 module.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch7 -p0
%patch21 -p0 -b .tv
%patch23 -p0 -b .except
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
%make OPTIMIZE="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE META.yml
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*/*.pod


%changelog
* Sun Dec 15 2013 billybot <billybot> 1.249-1pclos2013
- update

* Wed Oct 05 2011 Texstar <texstar at gmail.com> 1.232.0-1pclos2011
- new release
